Issue 9479

Title
Many2Many default values are ignored
Priority
bug
Status
resolved
Nosy list
ced, pokoli, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2020-07-13.19:14:05 by pokoli, last changed 7 months ago by roundup-bot.

Messages

New changeset 0678b2e4a2ca by Cédric Krier in branch '5.6':
Mark as modified when default is a list of ids
https://hg.tryton.org/tryton/rev/0678b2e4a2ca

New changeset fdf2443b558b by Cédric Krier in branch '5.4':
Mark as modified when default is a list of ids
https://hg.tryton.org/tryton/rev/fdf2443b558b

New changeset f7a28aca4840 by Cédric Krier in branch '5.0':
Mark as modified when default is a list of ids
https://hg.tryton.org/tryton/rev/f7a28aca4840
New changeset 0f147b82e4d8 by Cédric Krier in branch '5.6':
Mark as modified when default is a list of ids
https://hg.tryton.org/sao/rev/0f147b82e4d8

New changeset db910083da5f by Cédric Krier in branch '5.4':
Mark as modified when default is a list of ids
https://hg.tryton.org/sao/rev/db910083da5f

New changeset cc1ca047984c by Cédric Krier in branch '5.0':
Mark as modified when default is a list of ids
https://hg.tryton.org/sao/rev/cc1ca047984c
New changeset ff4d203e7c38 by Cédric Krier in branch 'default':
Mark as modified when default is a list of ids
https://hg.tryton.org/tryton-env/rev/ff4d203e7c38
New changeset c69914d7eef7 by Cédric Krier in branch 'default':
Mark as modified when default is a list of ids
https://hg.tryton.org/tryton/rev/c69914d7eef7
New changeset d9aa3bd8c128 by Cédric Krier in branch 'default':
Mark as modified when default is a list of ids
https://hg.tryton.org/sao/rev/d9aa3bd8c128
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-10-24.22:23:38

Indeed the default value which are list of ids should mark the record loaded as modified.
It should be fixed by review308441002

Author: [hidden] (pokoli) Tryton committer Tryton translator
Date: 2020-07-13.19:14:04
On a custom module we have a One2Many that contains a Many2Many field on it. The Many2Many field has a default value which is correctly rendered on the client but after saving the parent record it's values are removed. 

I debugged the issue an server side an I see that the Many2Many field is not send to server (only other fields). I think the problem was introduced with issue6754, which includes only modified fields but the default values are not marked as modified. I'm not sure how to mark them. 

We've found this issue on tryton 5.0 but probably the behaviour is the same for sao.
History
Date User Action Args
2020-11-04 23:41:20roundup-botsetmessages: + msg61675
2020-11-04 23:40:47roundup-botsetkeyword: - backport
messages: + msg61670
2020-10-28 23:56:51roundup-botsetmessages: + msg61492
2020-10-28 23:56:49roundup-botsetmessages: + msg61490
2020-10-28 23:56:46roundup-botsetmessages: + msg61488
nosy: + roundup-bot
status: testing -> resolved
2020-10-24 22:28:20reviewbotsetmessages: + msg61370
nosy: + reviewbot
2020-10-24 22:23:38cedsetassignedto: ced
keyword: + backport, review
messages: + msg61368
nosy: + ced
reviews: 308441002
status: unread -> testing
2020-07-13 19:14:05pokolicreate

Showing 10 items. Show all history (warning: this could be VERY long)